EDIT - feature request #6878

choose a base font for the portal and deliver it from the drupal module or theme
08/02/2017 04:13 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.15

Severity: normal

Description

The currently configured fonts for the zen-dataportal theme are
Verdana, Tahoma, "DejaVu Sans",sans-serif:
Verdana and Tahoma have wrong looking glyphes for the character
e “U+201C LEFT DOUBLE QUOTATION MARK (DOUBLE TURNED COMMA QUOTATION MARK)
Example:

http://portal.cybertaxonomy.org/salvador/cdm_dataportal/media/d2d0db6e-9a72-4e07-88a5-ae49e734059a

Verdana:

“Tamariﬁdus indica L., Leguminosae-Caesalpinioideae” [Berendsohn & al. 2009]{

DejaVu Sans:

“Tamarindus indica L., Leguminosae-Caesalpinicideae” [Berendsohn & al. 2009]¢

Als Lésung schlage ich vor, dass wir uns fir eine Schrift entscheiden und diese mit ausliefern. Dadurch erreichen wir eine bessere
Verlasslichkeit der gesamten Darstellung.

Also DejaVu Sans, Open Sans oder Droid Sans die sind fast 100% &quivalent, und sind der Verdana auch recht ahnlich, in einigen
Details aber noch besser lesbar.

Update Feb. 2020

Votes for using Droid Sans or Noto Sans as base font

who Droid Sans Noto Sans
Henning +
Norbert +
Andreas K +
Ralf +

Related issues:

Related to EDIT - feature request #5903: serve fontawesome icons directly fro... Closed
Related to EDIT - task #8813: Zen theme base font with better redability Duplicate
Copied to EDIT - feature request #8854: Choose new base font size for the por... Closed

Associated revisions

Revision 57a7a959 - 08/02/2017 06:59 PM - Andreas Kohlbecker

fix #6878 providing droid sans and droid sans mono as webfont and using them as default

Revision a64ae084 - 01/16/2020 05:08 PM - Andreas Kohlbecker
http://portal.cybertaxonomy.org/salvador/cdm_dataportal/media/d2d0db6e-9a72-4e07-88a5-ae49e734059a

ref #6878 switching to DejaVu sans

Revision 90b2c296 - 02/03/2020 03:36 PM - Andreas Kohlbecker

ref #8813 installing new version of DejaVu downloaded from font-squirrel

Revision cc758b3e - 02/20/2020 02:25 PM - Andreas Kohlbecker

ref #6878 re-activating Droid Sans and installing Noto Sans

Revision f5¢65cd5 - 02/20/2020 03:12 PM - Andreas Kohlbecker

ref #6878 css class to tests Noto Sans

Revision d5f4d97c¢ - 02/20/2020 03:23 PM - Andreas Kohlbecker

ref #6878 adding virtual version paramter to fonts for forcing reload

Revision 27a480c7 - 02/20/2020 04:07 PM - Andreas Kohlbecker

ref #6878 replacing Noto Sans web font with set created on transfonter.org

Revision e61852f0 - 02/20/2020 04:57 PM - Andreas Kohlbecker
ref #6878 better Droid Sans web font

Revision 1fde1200 - 06/09/2020 01:53 PM - Andreas Kohlbecker

ref #6878 switching theme to noto sans and mono

Revision b339aef7 - 06/09/2020 01:57 PM - Andreas Kohlbecker

ref #6878 switching theme to noto sans and mono - compiling sass files to css

Revision 23c0bb1f - 06/18/2020 03:19 PM - Andreas Kohlbecker

ref #6878 using noto sans also for relationship symbols

History

#1 - 08/02/2017 04:14 PM - Andreas Kohlbecker

- Tracker changed from bug to feature request

- Subject changed from select to choose a base font for the portal and deliver it from the drupal module
- Category set to cdm-dataportal

- Assignee set to Andreas Kohlbecker

#2 - 08/02/2017 04:21 PM - Andreas Kohlbecker
- File DroidSans.png added
- File Verdana.png added

- Subject changed from choose a base font for the portal and deliver it from the drupal module to choose a base font for the portal and deliver it from
the drupal module or theme

- Description updated

#3 - 08/02/2017 04:22 PM - Andreas Kohlbecker

- Description updated

#4 - 08/02/2017 04:22 PM - Andreas Kohlbecker

- Related to feature request #5903: serve fontawesome icons directly from the portal (prevents users from being tracked by google) added

#5 - 08/02/2017 04:26 PM - Andreas Kohlbecker

- Description updated

#6 - 08/02/2017 05:56 PM - Andreas Kohlbecker

- Description updated

#7 - 08/02/2017 05:57 PM - Andreas Kohlbecker
- File DejaVuSans.png added

#8 - 08/02/2017 05:57 PM - Andreas Kohlbecker
- File deleted (DroidSans.png)

#9 - 08/02/2017 06:52 PM - Andreas Kohlbecker
Droid Sans seems to be a much better option than DejaVu. Especially the bold font face is much better readable.
| will install DejaVu, Droid Sans and Droid Sans mono in the theme. So we have all these available and can test a bit which one is better.
These fonts are available from:
e https://www.fontsquirrel.com/fonts/droid-sans

e https://www.fontsquirrel.com/fonts/droid-sans-mono
¢ https://github.com/web-fonts/dejavu-sans/

#10 - 08/02/2017 06:59 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-dataportal|57a7a95942d4be58f00bacd695b27d622e8d4e89.

#11 - 08/02/2017 07:00 PM - Andreas Kohlbecker
- Assignee changed from Andreas Kohlbecker to Andreas Miller

- Target version changed from Unassigned CDM tickets to Release 4.9

please review!

#12 - 08/04/2017 10:23 AM - Andreas Miiller
- Assignee changed from Andreas Miiller to Walter Berendsohn

- Priority changed from New to Highest

Not sure how | can test it. | looked at
http://test.e-taxonomy.eu/dataportal/preview/salvador/cdm_dataportal/taxon/7bcf9bb0-9155-4d29-ac9e-9822819b287c/images and for me it looks ok.

On production it does not seem to be installed (only after next release?), e.g.
http://portal.cybertaxonomy.org/salvador/cdm_dataportal/media/d2d0db6e-9a72-4e07-88a5-ae49e734059a

@MWalter, could you also have a look if it looks ok for you on test server? And pass the ticket back to Andreas K.

#13 - 08/05/2017 02:03 PM - Walter Berendsohn

@AK - Looks good on test.e-taxonomy.eu (but | don't know how to "pass the ticket back")

#14 - 01/17/2020 11:36 AM - Andreas Kohlbecker
- Related to task #8813: Zen theme base font with better redability added

#15 - 02/20/2020 05:35 PM - Andreas Kohlbecker

Hallo Andreas,

denkst Du noch daran, wenn Du die Zeit findest, dem Cichorieae-Portal wieder seinen urspriinglichen Schrifttyp, wie er auch noch im Cichorieae
Network vorhanden ist, zu geben? Ich méchte ja eigentlich auch vorschlagen, diesen standardmaBig fur alle Portale zu verwenden, da er,
insbesondere bei langeren Texten, deutlich besser lesbar ist. Wenn ich mich richtig erinnere, haben wir den Schrifttyp von Wikipedia tbernommen.
Beste GruBe,

Norbert

#16 - 02/20/2020 05:35 PM - Andreas Kohlbecker

Hallo Norbert,

Bei den Cichorien hatten wir die Verdana eingestellt, diese steht aber nur auf Windowssystemen zur Verfigung. Um eine mdglichst einheitliche und

verlassliche Darstellung zu erreichen, sollten wir aber eine Schrift verwenden die Uberall zur Verfigung steht. Wikipedia gibt Gbrigens als
Schriftfamilie einfach "sans-serif" an. Damit wird auf jedem System diejenige Schrift verwendet die dort als Standart fir die Serifenlosen angegeben
ist. Bei Windows ist das eben die Verdana. Daher entsteht der Eindruck, dass Wikipedia diese Schrift verwendet.

Um die Verdana als platformunabhangige einheitliche Schrift zu verwenden, miissten wir diese zusammen mit der Website ausliefern. Das diirfen wir
aber aus lizenzrechtlichen Griinden nicht. Wir kdnnen aber eine freie Schrift verwenden die eine ebenso gute Lesbarkeit bietet. Derzeit wird Ubrigens
die Droid Sans verwendet, obwohl im Kommentar darlber steht, dass wir uns fur die DejaVu entschieden haben. (Siehe auch
https://dev.e-taxonomy.eu/redmine/issues/6878 ) . Warum jetzt die Droid aktiv ist kann ich nicht mehr sagen. Ich schalte auf die DejaVu um. Bitte
schau dir so bal wie méglich das Ergebnis an.

Viele GruBe

Andreas

#17 - 02/20/2020 05:36 PM - Andreas Kohlbecker

Hallo Andreas,

herzlichen Dank fur Deine hilfreichen Ausfihrungen; diese Zusammenhange mit dem jeweiligen Betriebssystem waren mir gar nicht klar. Ich habe mir
dann mal den Unterschied zwischen Linux und Windows angesehen und war verblifft, dass die etwa Network-Seiten und das Cichorieae Portal da
ganz unterschiedlich dargestellt wird (fir den Standardtext im Network wird mit meinem Linux dort gar eine Serifenschrift angezeigt fur die
Uberschriften aber eine serifenlose)...

Die jetzt von Dir bei den Cichorieae eingestellte Schrift ist mir an sich recht, nur finde ich sie weiterhin noch etwas klein. Du sagtest zwar friher mal,
dass es dieselbe Schriftgro3e ware wie beim Network, aber mir erscheint die im Network ebenso wie in Wikipedia gréBer und deshalb viel
angenehmer (es gibt ja wohl nicht so was wie seitenspezifische Einstellungen, die im Browser abgelegt sind??) . Das ist mein Hauptproblem, gerade
angesichts der zunehmenden Anzahl langerer Text im Cichorieen-Portal.

Schone Grife,

Norbert

#18 - 02/20/2020 05:36 PM - Andreas Kohlbecker

Hier nochmal die alte (Droid Sans) und neue Schrift (DejaVu Sans) im Vergleich:

04/20/2024 4/11


https://dev.e-taxonomy.eu/redmine/issues/6878

Droid Sans

Home

Aim of the Portal

The Cichorieae Systematics Portal is being established as a convenient access to the existing knowledge about this
difficult group of plants, based on authoritative phylogenetic and taxonomic information as far as available. It is
designed to serve both the specialist and the occasional visitor:

» offering a classification of the entire group based on the latest phylogenetic and taxonomic research
* providing a geographically referenced species inventory of the entire group with identification keys
* giving species pages with descriptions, images, distributional, ecological and other data

» facilitating cooperation among workers (professionals as well as amateurs) of the group

* instantly integrating new data and research results

* aiming at an encyclopedic knowledge base of the entire group

DejaV
Home et

Aim of the Portal

The Cichorieae Systematics Portal is being established as a convenient access to the existing knowledge about this
difficult group of plants, based on authoritative phylogenetic and taxonomic information as far as available. It is
designed to serve both the specialist and the occasional visitor:

* offering a classification of the entire group based on the latest phylogenetic and taxonomic research
* providing a geographically referenced species inventory of the entire group with identification keys
® giving species pages with descriptions, images, distributional, ecological and other data

* facilitating cooperation among workers (professionals as well as amateurs) of the group

® instantly integrating new data and research results

®* aiming at an encyclopedic knowledge base of the entire group

Home

Aim of the Portal

The iafforéeesgystaratti £ Padkbbibdiein e sstd sistkdsas @oveneEnie at casess tivethe
Beide sind extrem &hnlich, wobei aber die DejaVu Sans deutlich luftiger ist und daher auch breiter 1auft.
Weil du Wikipedia angesprochen hast, habe ich deren Schrift Einstellungen mit denen im Portal verglichen:

Wikipedia:
e font-size: 14px;
e line-height: 22.4px; (1,6 * font-size)

Data Portal:

e font-size: 12px;
e line-height: 18px; (1,5 * font-size)

Wikipedia hat also eine deutlich gréBere Schrift und aber auch eine proportional gréBBeren Zeilenabstand, was mit zur besseren Lesbarkeit beitragt.

Ich denke auch, dass es gut ware uns hier an Wikipedia zu orientieren, gerade auch im Hinblick auf Mobilgerate bei denen die Schriften oft noch
etwas kleiner dargestellt werden.

Diese Entscheidung sollte wir aber vorher im gréBeren Kreis besprechen.

#19 - 02/20/2020 05:36 PM - Andreas Kohlbecker
- File Schriftenvergleich-DejaVu-Droid.png added

#20 - 02/20/2020 05:37 PM - Andreas Kohlbecker

Hallo Andreas,
danke! Ja, finde ich eine gute Idee, das breiter abzustimmen.
Schoéne GriiB3e,

Norbert

#21 - 02/20/2020 05:37 PM - Andreas Kohlbecker

Dann gehen wir das nach dem Release an:

1. Umstellen des Portals auf gréBere Schrift und etwas gréf3eren Zeilenabstand

2. Interne Diskussion des Ergebnisses

3. Dann je nachdem eventuell Hinweis an alle Nutzer sich die neue Schrift anzusehen, um einerseits Feedback einzusammeln und um
andererseits sich Einversténdnis zu dieser Anderung einzuholen.

Viele GriB3e
Andreas

#22 - 02/20/2020 05:37 PM - Andreas Kohlbecker

The DejaVu font seems to cause Problem in Win10 where the render engine of edge and FF apparently is not using font smoothing. Line widths are
not consistent, wobbly baseline, letter spacing etc:

Terrestrial monopodial subshrub ca 50 cm tall. Stem terete, 4 —
wide, erect, 7 - 12 cm tall, bearing a rosette of 9 - 11 spirally i
leaves; climbing internodes very short when in fl ower, sometir
extending, stem then procumbent or scrambling (Co 3039), 30
internodes 1.2 - 2.0 cm long, glabrous or with very sparse inco
mm long curved hairs; axillary area densely minutely hairy, wit

#23 - 02/20/2020 05:38 PM - Andreas Kohlbecker
- File picture509-1.png added

#24 - 02/20/2020 05:40 PM - Andreas Kohlbecker
- Status changed from Resolved to In Progress
- Assignee changed from Walter Berendsohn to Andreas Kohlbecker

- Target version changed from Release 4.9 to Release 5.13

#25 - 02/20/2020 05:41 PM - Andreas Kohlbecker

Hallo,

ich hatte ja gerade Beispiele im Kuba Portal gesucht — das sieht wirklich scheuBlich aus.

04/20/2024 6/11



0

Die Sache mit dem Font muss dringend angegangen werden — kénnen wir nicht einfach erstmal den alten Zustand wieder herstellen? Der war mir
eigentlich nie unangenehm aufgefallen.

Herzlichen Gruf3

Walter

#26 - 02/20/2020 05:42 PM - Andreas Kohlbecker

Hallo,

bei dem jetzigen Font sehen insbesondere die ,y“ sehr unschdn aus, wie man hier gut sehen kann:
https://europlusmed.org/cdm_dataportal/taxon/e9f64b29-9abd-4f5¢c-bc06-35779507f40d

Schone Griufe,

Eckhard

#27 - 02/20/2020 05:42 PM - Andreas Kohlbecker

Hallo,

in der Situation bis vor wenigen Minuten war es noch so, dass es auf dem Produktionssystem ein Problem mit der Schrift gab, diese war namlich
defekt.

Ich habe jetzt ein Hotfix-Release fur das Portal gemacht und installiert. Nun kann die Schrift korrekt angezeigt werden.

Die 'y' sehen jetzt besser aus, so wie auch alle anderen Zeichen.

Bitte schaut euch das nochmal an.

Viele GriB3e

Andreas

#28 - 02/20/2020 05:43 PM - Andreas Kohlbecker

Hallo Andreas,

das ist viel besser. Vielen Dank und GruB3,

Eckhard

#29 - 02/20/2020 05:43 PM - Andreas Kohlbecker

Hallo,

nicht mehr untragbar, aber meine unten gemachten Observationen gelten weiter — ich finde, das Schriftbild hat sich insgesamt signifikant
verschlechtert und bei Skalierung wird’s schlimm. Anscheinend sind die Kerning-Tabellen sehr schlampig oder gar nicht bearbeitet. Siehe unten bei
80%. Ich verstehe nicht, warum wir hier nicht eine der Standard-Schriften verwenden kénnen, bei denen wir sicher gehen, dass sie auf allen Devices

erkannt und sauber skaliert wird?

Das mit der Laufweite stért auch in Menuls und im Taxonomic tree, wo jetzt Sachen aus dem Fenster laufen, die vorher noch passten (zum seitlichen
Scrollen muss ich meist erstmal in der Seite nach unten gehen).

Herzlichen GruB3

Walter

#30 - 02/20/2020 05:43 PM - Andreas Kohlbecker

Hallo,

hier nochmal die Zusammenfassung der Diskussion zum Uberblick:

Bis zum letzten Release hatten wir die Droid Sans in Verwendung. Diese ist vom Schritfbild etwas schmaler, wenn auch sehr &hnlich. Bei den
Cichorien fiel auf, dass die Schriften von Blog und Portal unterschiedlich sind. Ein Blick in die Tickets zu diesem Thema (
https://dev.e-taxonomy.eu/redmine/issues/6878 , https://dev.e-taxonomy.eu/redmine/issues/8813 ) zeigte, dass die Droid Sans nur testweise

eingeschaltet worden war und die Diskussion zu dieser oder einer anderen Schrift nicht zu Ende gefuihrt wurde. Die Droid Sans ist daher vor vielen
Monaten versehentlich in ein Release hinein gerutscht.

Diesen Fehler habe ich zum letzten Release korrigiert und wieder auf die DejaVu umgeschaltet. Die im Portal hinterlegte und bei Seitenaufrufen mit
ausgelieferte Font-Datei war jedoch defekt weshalb es auf Systemen die diese Schrift nicht mitbringen zu Darstellungsfehlern kam. Dies ist mit dem
heutigen Hotfix behoben worden.

Offenbar gibt es noch immer Probleme mit der DejaVu, die ich auch lokal nachvollziehen kann. Eine Problem ist auch die unterschiedliche
Darstellung von kursiven Lettern: []

Eine "Standard-Schrift" die wir verwenden kénnen? Die Microsoft Fonts scheiden wohl aus, denn diese dirfen wir aus Lizensrtechtlichen Griinden
sicherlich nicht ausliefern, das missten wir aber um auf allen Systemen (Win10, Mac, IOS, Linux, Android) eine einheitliche Darstellung zu
gewahrleisten. Droid, DejaVu, Noto etc sind auch Standard-Schriften aber eben nicht von Microsoft und somit frei verwendbar.

Was tun?

1. Wir kdnnen gemeinsam beschlieBBen auf den alten Stand zuriick zu gehen und machen die Droid wider zum Standard, die hatte ja gut
funktioniert.

2. Ich behebe die Probleme mit der DejaVu, einige werden diese dann jedoch immer noch als zu breit empfinden.
3. Wie ziehen noch andere Schriften mit in die Auswahl mit ein und nehmen eine andere (Noto Sans?)
4. Wir bieten unterschiedliche Schriften an, die fir das Theme ausgewahlt werden kénnen. Diese Option macht natiirlich am meisten Arbeit aber
langfristig die Nutzer am glucklichsten.
Viele GruBe
Andreas
#31 - 02/20/2020 05:43 PM - Andreas Kohlbecker
Hallo,
ich denke, wir sollten uns aus Ressourcengriinden auf eine Schrift fir alle Portale einigen.
Neben der Schrift selbst, steht fir mich aber auch die Schriftgré3e zur Diskussion:

Gerade bei langeren Texten, wie es ja einige im Cichorieen-Portal gibt, finde ich die jetzige zu klein und hatte vorgeschlagen uns an Wikipedia zu
orientieren.

Andreas K hatte die Daten je ermittelt:
Wikipedia: font-size: 1l4px; line-height: 22.4px; (1,6 * font-size)
Data Portal: font-size: 12px; line-height: 18px; (1,5 * font-size)
Beste GriBe,
Norbert
#32 - 02/20/2020 05:44 PM - Andreas Kohlbecker
Hallo,
ich pladiere auch fir eine, hdchstens drei Standard Fonts — eine sans-serif, eine serif und eine monospaced (letzteres brauchen wir vermutlich nicht).
Die entsprechenden Fonts, die alle Systeme habe bzw. nahezu identisch ineinander Ubersetzen sind auch heute noch:
The fonts that are most safe to use are:
Arial / Helvetica
Times New Roman / Times
Courier New / Courier

Die GréBe finde ich nicht so unmittelbar wichtig, da sie ja auf dem Browser individuell eingestellt und auch je nach Bildschirmauflésung ganz
unterschiedlich ausfallt. (Auf meinem Laptop ist mir aber die jetzt verwandte auch zu klein.)

Wichtig ist, dass sie sauber skaliert, und das ist m.A.n. bei den 3 oben angegebenen der Fall.
Herzlichen Gruf3

Walter

#33 - 02/20/2020 05:44 PM - Andreas Kohlbecker
Hallo,

wenn schon eine MS Font, wirde ich die Verdana wahlen, denn diese ist im Gegensatz zu Arial und Helvetica fur die Bildschirmdarstellung optimiert.
Soweit mein Wissensstand zu diesem Thema reicht, dirfen die Schriften Verdana, Arial, Helvetica, Times New Roman, Times, Courier New, Courier
nicht in Webseiten eingebettet werden. Diese wurden offiziell nur fir Windows und Mac OS ausgeliefert. Weitere Verwendung dariiber hinaus ist
untersagt. Damit ware also nur auf Windows und Mac eine sichere Darstellung gewahrleistetet. In allen anderen Systemen wie iOS, Android, Linux,
etc wirde eine beliebige Ersatzschrift dargestellt werden.

Wollen wir das?

Es gibt doch frei verfugbare Alternativen die diese Einschrankung nicht haben und auBerdem einen gréBeren Teil des Unicode-Schriftraums
abdecken, eine dieser Schrifen ist die Droid Sans!

Viele GruBe

Andreas

#34 - 02/20/2020 05:44 PM - Andreas Kohlbecker

Hallo,

ok, eventuell habe ich da nicht sorgféltig genug recherchiert, ich dachte, die PostScript Schriften Times und Helvetica wiirden auf allen Linux und Mac
Rechnern verfligbar sein und in Windows durch Times New Roman und Arial bzw. in Android durch Droid ersetzt werden. Also das man sich das mit
dem embedded font sparen kdnnte.

Wenn die friihere Schrift die frei nutzbare Droid Sans war und dort diese Skalierungsprobleme nicht bestehen, nehmen wir doch die wieder — mir ist
vorher eigentlich nie etwas am Font aufgefallen. Bei der Gré3e bin ich leidenschaftslos, auBBer dass ich im Taxon-Baum gerne mindestens 2 Level
sehen kdnnen mochte.

Herzlichen Gruf3

Walter

#35 - 02/20/2020 05:44 PM - Andreas Kohlbecker

Hallo Walter,

das Ergebnis deiner Recherche stimmt schon, nur ist es so, dass wir in der Vergangenheit Probleme damit hatten weil nicht alle Schriften alle

Zeichen korrekt darstellen. So stellt zum Beispiel die Verdana das Zeichen U+201C LEFT DOUBLE QUOTATION MARK falsch dar (
https://dev.e-taxonomy.eu/redmine/issues/6878)

Daher sind wir dazu Gbergegangen fur eine verlasslichere Darstellung die Schrift festzulegen.

Ich werde dann also auf den alten Stand zurtick gehen und wieder die Droid Sans aktivieren.

Eine GréBenanderung von 12px auf 14px wiirde Folgen haben, die noch nicht ganz absehbar sind, so dass eventuell Nachjustierungen an anderer
Stelle nétig werden. Im Theme hangen die SchriftgréBen teils von einander ab, so dass bei einer Anderung an der Basisgré3e auch MenUeintrage,
Uberschriften etc mit gréBerer Schrift dargestellt wiirden, was zu (iberraschenden Umbriichen fiihren kénnte. Bei einer solche Umstellung sollten wir
uns daher genug Zeit zum Testen nehmen. Ein alternative wére die komplette Seite per Styleangabe zu zoomen.

Viele GruB3e

Andreas

#36 - 02/20/2020 05:45 PM - Andreas Kohlbecker

Guten Morgen zusammen,

mit den alten Verhaltnissen war ich Uber viele Jahre sehr zufrieden. Auch bei selten auftretenden fremdlandischen Buchstaben fand ich nie
dramatische Probleme.

Eine Rickkehr wirde ich sehr begrifBen.

Viele GruBe
Ralf

#37 - 02/20/2020 05:45 PM - Andreas Kohlbecker

Hallo zusammen,

bei der Riickkehr zum alten Zustand wollte ich auf Nummer Sicher gehen und habe alte Screenshots von verschieden Computern mit der aktuellen
Ansicht bei mir verglichen. Dabei hat sich gezeigt das die Darstellung der Schriften nicht so einheitlich war, wie angenommen. Offenbar gab es ein

Problem wodurch auf den meisten Rechnern doch die System-Standard-Schriften verwendet worden sind.

Die Rickkehr zum Alten war also eine weitere Reise ins Ungewisse, denn die einheitliche Verwendung der Droid Sans funktioniert jetzt - warum weif3
ich nicht. Anstatt wie im letzten Jahr Arial, Helvetica oder Verdana, sehen jetzt alle die Droid Sans. Das bedeutet aber, dass fur einige Nutzer der
vermeintlich alte Zustand doch ein neuer ist.

Da es somit eh eine Anderung gibt, habe ich gleich noch die Noto-Sans mit in das Dataportal gepackt, damit wir diese als Alternative testen kénnen.
Die Noto (https://en.wikipedia.org/wiki/Noto_fonts ) hat fir uns den Vorteil einer sehr zukunftssicheren Schrift, die von Google immer weiter
ausgebaut wird und irgendwann den kompletten Unicode Zeichenraum abdecken soll. Damit bietet diese Schrift ein eine einheitliche Anmutung auch
beim wilden Mischen verschiedener Sprachen auf ein und der selben Seite (z.B: Lateinisch, Chinesisch, Arabisch, Kyrillisch, ...).

Ich habe daher ein Testseite angelegt in der man beide Fonts vergleichen kann:
http://test.e-taxonomy.eu/dataportal/preview/caryophyllales_spp/font-test

In welche Richtung soll es gehen Droid oder Noto?

Viele GruBBe

Andreas

#38 - 02/20/2020 05:46 PM - Andreas Kohlbecker

Hallo zusammen,

vielen Dank, Andreas, fir die Info und die Test-Seite. Ich finde die Noto Sans im Vergleich besser lesbar als Droid Sans und wirde Noto Sans daher
fir PhycoBank bevorzugen. Ich finde Droid Sans auf Dauer zum Lesen etwas zu anstrengend, vgl. z.B. die Auflésung von ,community” oder ,will“. Die
,Beinchen" sind bei Droid Sans doch sehr dicht beieinander

Viele GruBe,

Henning

#39 - 02/20/2020 05:46 PM - Andreas Kohlbecker

Hallo Andreas,

besten Dank! Toller Fund, auch ich finde die Noto Sans deutlich angenehmer zu lesen und der global schriftibergreifende Ansatz ist naturlich
vorteilhaft.

Noto Sans ware deshalb auch meine Option.
Schéne Griif3e,
Norbert

#40 - 02/20/2020 05:49 PM - Andreas Kohlbecker
- Description updated

#41 - 02/20/2020 05:53 PM - Andreas Kohlbecker

- Copied to feature request #8854: Choose new base font size for the portal added

#42 - 02/24/2020 01:40 PM - Andreas Kohlbecker
- Description updated

Hallo Andreas,

Noto!

Schoénen Gruf3
Ralf

#43 - 03/17/2020 10:03 AM - Andreas Kohlbecker
- Target version changed from Release 5.13 to Release 5.14

- % Done changed from 50 to 40

In den letzten 26 Tagen wurden 4 Stimmen abgegeben, alle mit positivem Votum fir die Noto Sans.
Damit ist diese Findungsphase abgeschlossen. Gegenstimmen gab es keine. Die neue Standart-Schrift fir das Portal ist die Noto Sans.

Die nachsten Schritte sind:

e umstellen des zen_dataportal themes auf Noto Sans
e Installation der dazu passenden Noto Mono
e Entfernen der alten nicht mehr verwendeten Schriften

#44 - 04/08/2020 05:44 PM - Andreas Kohlbecker

- Target version changed from Release 5.14 to Release 5.15

#45 - 06/09/2020 01:56 PM - Andreas Kohlbecker
- Status changed from In Progress to Resolved

- % Done changed from 40 to 50

e Umstellen des zen_dataportal themes auf Noto Sans - DONE
e Installation der dazu passenden Noto Mono - DONE
¢ Entfernen der alten nicht mehr verwendeten Schriften - DONE

Review by testing if the noto fonts are being used in Windows 10 where these are not available in the system by default

#46 - 06/18/2020 03:20 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

works as expected

Files

Verdana.png 5.18 KB 08/02/2017 Andreas Kohlbecker
Schriftenvergleich-DejaVu-Droid.png 238 KB 02/20/2020 Andreas Kohlbecker
picture509-1.png 158 KB 02/20/2020 Andreas Kohlbecker
